# Uses of Class
com.ocient.metrics.PerfCounter

Packages that use PerfCounter
Package
Description
com.ocient.metrics

## Uses of PerfCounter in com.ocient.metrics

Fields in com.ocient.metrics declared as PerfCounter
Modifier and Type
Field
Description
`final PerfCounter`
QueryMetrics.`bytesRecv`
`final PerfCounter`
QueryMetrics.`cursorPosition`
`final PerfCounter`
QueryMetrics.`cursorWaitTime`
`final PerfCounter`
QueryMetrics.`fetchQueueDepth`
`final PerfCounter`
QueryMetrics.`fetchRequests`
`final PerfCounter`
QueryMetrics.`fetchRTT`
`final PerfCounter`
QueryMetrics.`pingResponses`
`final PerfCounter`
QueryMetrics.`rowBatchBytesRecv`
`final PerfCounter`
QueryMetrics.`rowBatchDeserMs`
`final PerfCounter`
QueryMetrics.`rowBatchesRecv`
`final PerfCounter`
QueryMetrics.`rowBlobsRecv`
`final PerfCounter`
QueryMetrics.`rowsPending`
`final PerfCounter`
QueryMetrics.`rowsRecv`
Methods in com.ocient.metrics that return PerfCounter
Modifier and Type
Method
Description
`static PerfCounter`
PerfCounter.`dummy()`
Returns a counter that no-ops
`PerfCounter`
MetricsRegistry.`getCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Fetches a `PerfCounter` or creates one if no such counter exists.
`static PerfCounter`
PerfCounter.`longCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Creates a new `PerfCounter` instance for a `long` value.